#!/usr/bin/perl

#######################################################################
#
# @file		cpptohtml.pl
# @author	nutti
# @brief	Convert C/C++ source code file to HTML.
# @date		2011.10.30 (Sun) 11:54
#
#######################################################################

# Usage : $ ./cpptohtml.pl input_file output_file

use strict;

my $fin_name = @ARGV[ 0 ];
my $fout_name = @ARGV[ 1 ];

if( @ARGV != 2 ){
	die "Error : Usage is incorrect.\nUsage : ./cpptohtml.pl input_file output_file\n";
}

if( -e $fin_name ){
}
else{
	die "Error : $fin_name isn't exist.\n";
}
if( -e $fout_name ){
	die "Error : $fout_name is already exist.\n";
}

open FIN, "<$fin_name" or die "Error : Failed to open $fin_name\n";
open FOUT, ">$fout_name" or die "Error : Failed to open $fout_name\n";

print FOUT "<pre>\n";

while( <FIN> ){
	$_ =~ s/&/&amp;/g;
	$_ =~ s/</&lt;/g;
	$_ =~ s/>/&gt;/g;
	$_ =~ s/ /&nbsp;/g;
	$_ =~ s/"/&quot;/g;
	print FOUT $_;
}

print FOUT "</pre>\n";

close FIN;
close FOUT;